# Class MultiCone

java.lang.Object
uk.ac.starlink.ttools.task.ConsumerTask
uk.ac.starlink.ttools.task.SingleMapperTask
uk.ac.starlink.ttools.cone.SkyConeMatch2
uk.ac.starlink.ttools.task.MultiCone

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class MultiCone extends SkyConeMatch2
SkyConeMatch2 implementation which uses an external Cone Search service.

Since:
  4 Jul 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`MultiCone()`

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Executable`
`createExecutable(uk.ac.starlink.task.Environment env)`
`ConeSearchConer`
`getConer()`
Returns the coner used by this task.

### Methods inherited from class SkyConeMatch2

`createProducer, getConeErrorPolicyParameter, getDecParameter, getFindModeParameter, getParallelParameter, getRadiusDegreeParameter, getRaParameter, getUseCoverageParameter`

### Methods inherited from class SingleMapperTask

`createInputProducer, getInputFilterParameter, getInputTableParameter`

### Methods inherited from class ConsumerTask

`createProducer, getIdentity, getOutputMode, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiCone

public MultiCone()

## Method Details

### getConer

public ConeSearchConer getConer()
Description copied from class: `SkyConeMatch2`
Returns the coner used by this task.

Overrides:
  `getConer` in class `SkyConeMatch2`
Returns:
  coner

### createExecutable

public uk.ac.starlink.task.Executable createExecutable(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException

Specified by:
  `createExecutable` in interface `uk.ac.starlink.task.Task`
Overrides:
  `createExecutable` in class `ConsumerTask`
Throws:
  `uk.ac.starlink.task.TaskException`